#!/usr/bin/env python3

#******************************************************************************
# treeline.py, the main program file
#
# TreeLine, an information storage program
# Copyright (C) 2014, Douglas W. Bell
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License, either Version 2 or any later
# version.  This program is distributed in the hope that it will be useful,
# but WITTHOUT ANY WARRANTY.  See the included LICENSE file for details.
#******************************************************************************

__progname__ = 'TreeLine'
__version__ = '1.9.4'
__author__ = 'Doug Bell'

docPath = None         # modified by install script if required
iconPath = None        # modified by install script if required
templatePath = None    # modified by install script if required


import sys
import locale
from PyQt4 import QtCore, QtGui
import treemaincontrol
import globalref


def main():
    """Main event loop function for TreeLine
    """
    globalref.localTextEncoding = locale.getpreferredencoding()
    app = QtGui.QApplication(sys.argv)
    treeMainControl = treemaincontrol.TreeMainControl(sys.argv[1:])
    app.exec_()


if __name__ == '__main__':
    main()
